class CommandMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Polecenie, włączanie i wyłączanie pojazdu");

        var vehicle = new Vehicle("auto-sportowe");
        var driver = new Driver();
        driver.addCommand(new StartCommand(vehicle));
        driver.addCommand(new StopCommand(vehicle));
        driver.addCommand(new StartCommand(vehicle));

        driver.executeCommands("włącz_wyłącz");
    }
}
